// priority: 4002

onEvent('block.registry', event => {
	let machine = (name, layer) => {
		let id = name.toLowerCase()
		event.create(id + '_machine')
			.model('kubejs:block/' + id + '_machine')
			.material('lantern')
			.hardness(3.0)
			.displayName(name + ' Machine')
			.notSolid()
			.renderType(layer)
	}

	machine('Andesite', "solid")
	machine('Brass', "translucent")
	machine('Copper', "cutout")
	machine('Zinc', "cutout")

	event.create('fluix_casing').material('metal').hardness(3.0).displayName('Fluix Casing')

	event.create(`witherproof_block`)
		.textureAll(`kubejs:block/witherproof_block`)
		.material('stone')
		.hardness(8.0)
		.displayName(`Witherproof Block`)
		.requiresTool(true)
		.harvestTool('pickaxe', 2)

	event.create(`witherproof_bricks`)
		.textureAll(`kubejs:block/witherproof_bricks`)
		.material('stone')
		.hardness(8.0)
		.displayName(`Witherproof Bricks`)
		.requiresTool(true)
		.harvestTool('pickaxe', 2)
})